:root {
  --black: rgb(13, 13, 13);
}
* {
  font-family: "Geologica", sans-serif;
  color: white;
  font-weight: 100;
  box-sizing: border-box;
}
html {
  overflow-x: hidden;
}
body {
  min-height: 100vh;
  background-color: rgb(42, 42, 42);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  overflow-x: hidden;
}
p,
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
}
/*2 varijante kako dodati autora*/
.photo_holder {
  position: relative;
  /* color: black;*/
  font-size: 0.5rem;
}
.photo_holder::after {
  position: relative;
  content: "Photo by Mario Kociper";
  top: -15px;
  left: 3px;
  opacity: 0.75;
}
.photo_author {
  position: relative;
  /* color: black;*/
  font-size: 0.5rem;
  height: 0;
}
.photo_author::after {
  position: relative;
  content: "Photo by Mario Kociper";
  top: -15px;
  left: 3px;
  opacity: 0.75;
}
.container {
  margin: auto;
  max-width: 1000px;
}

/*header*/

.upper_header_background {
  background-color: var(--red);
  height: 35px;
}
.upper_header_holder {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  height: 100%;
  padding: 0 1rem;
}
.header_title {
  font-size: 1rem;
  font-weight: 300;
}
.upper_header_right_holder {
  display: flex;
  flex-direction: row;
}

.languageButtonsContainer {
  display: flex;
  flex-direction: row;
  color: white;
  justify-content: center;
}
.languageButtonsContainerDesktop {
  margin-left: 1rem;
}
.languageButtonsContainerMobile {
  display: none;
}
.languageButton {
  margin: 0 0.25rem;
  text-transform: uppercase;
  cursor: pointer;
  opacity: 0.9;
}
.languageActive {
  opacity: 1;
  font-weight: 900;
}
.burger-menu {
  display: none;
  flex-direction: column;
  justify-content: center;
  width: 2.25rem;
}
.bar {
  height: 5px;
  width: 100%;
  background-color: rgba(255, 255, 255);
  display: block;
  border-radius: 5px;
}
#bar1 {
  transform: translateY(-5px);
}
#bar3 {
  transform: translateY(5px);
}
.cross #bar1 {
  transform: translateY(4px) rotateZ(-45deg);
  animation: bar1 500ms ease-out;
}
.cross #bar3 {
  transform: translateY(-6px) rotate(45deg);
  animation: bar3 500ms ease-out;
}
.cross #bar2 {
  opacity: 0;
}
.start #bar1 {
  transform: translateY(-5px);
  animation: bar1start 500ms ease-out;
}
.start #bar3 {
  transform: translateY(5px);
  animation: bar3start 500ms ease-out;
}
.start #bar2 {
  opacity: 1;
}
@keyframes bar1 {
  from {
    transform: translateY(0px) rotateZ(0deg);
  }
  to {
    transform: translateY(4px) rotateZ(-45deg);
  }
}
@keyframes bar3 {
  from {
    transform: translateY(0px) rotateZ(0deg);
  }
  to {
    transform: translateY(-6px) rotateZ(45deg);
  }
}
@keyframes bar1start {
  from {
    transform: translateY(4px) rotateZ(-45deg);
  }
  to {
    transform: translateY(-5px);
  }
}
@keyframes bar3start {
  from {
    transform: translateY(-6px) rotateZ(45deg);
  }
  to {
    transform: translateY(5px);
  }
}
.lower_header_background {
  background-color: var(--black);
  height: 100px;
}
.lower_header_holder {
  height: 100%;
}
nav {
  height: 100%;
}
.header_menu {
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.menu_item {
  font-size: 0.9rem;
  padding: 0.5rem 1rem;
  margin: 0.5rem 0;
}
.menu_item:hover {
  opacity: 0.9;
}
.menu_item_link {
  padding: 0.5rem 1rem;
  color: white;
}
.menu_item_link:hover {
  opacity: 0.9;
  transition: all 200ms;
}
.icons_container {
  text-align: center;
  height: 1rem;
}
.icons_container_mobile {
  display: none;
}
.menu_icon {
  height: 1rem;
  width: auto;
  margin-right: 0.25rem;
}
.menu_icon:hover {
  opacity: 0.9;
}
.lower_header_hr {
  display: none;
  height: 0.25px;
  background-color: white;
  border: none;
  width: 100%;
}

@media screen and (max-width: 750px) {
  .icons_container_desktop {
    display: none;
  }
  .icons_container_mobile {
    display: block;
    margin: 0.625rem 0;
  }
  .languageActive {
    color: red;
  }
  .upper_header_background {
    height: 45px;
  }
  .upper_header_holder {
    padding: 0 0.5rem;
  }
  .languageButtonsContainerDesktop {
    display: none;
  }
  .languageButtonsContainerMobile {
    display: flex;
    padding: 0.5rem 0;
  }
  .burger-menu {
    display: flex;
  }
  .header_menu {
    flex-direction: column;
  }
  .lower_header_background {
    height: fit-content;
    padding: 1rem 0;
    position: absolute;
    z-index: 100;
    width: 100%;
    top: 45px;
  }
  .lower_header_hr {
    display: block;
  }
  .mobile_hidden {
    display: none;
  }
}

.hero_block_background {
  background-color: rgb(34, 34, 34);
  padding: 50px 0;
}
.hero_image {
  width: 100%;
  height: 500px;
  object-fit: cover;
  filter: grayscale(90);
}
.block_background {
  background-color: var(--red);
}
.title_background {
  background-image: url(../images/pozadina_note.png);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  min-height: 150px;
}
.title_holder {
  min-height: 150px;
  display: flex;
  flex-direction: column;
  align-items: end;
  justify-content: center;
  padding: 1rem;
}
h1.title {
  color: black;
  font-size: 3rem;
  text-align: right;
  font-weight: 400;
}
a.title_link {
  width: fit-content;
  color: black;
  font-size: 1rem;
  text-align: right;
  font-weight: 400;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
  text-decoration: underline;
}

@media screen and (max-width: 750px) {
  .title_background {
    min-height: 100px;
  }
  .title_holder {
    min-height: 100px;
  }
  h1.title {
    font-size: 2rem;
  }
}
@media screen and (max-width: 750px) {
  .news_title_background {
    height: 100px;
  }
  .news_title_holder {
    font-size: 2rem;
    font-weight: 500;
    height: 100px;
  }
}

/*novosti*/

.news_holder {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 2rem;
  padding: 75px 1rem;
}
button.news_card {
  width: 100%;
  background: none;
  border: none;
  padding: none;
  cursor: pointer;
  margin: 0;
}
.card_image {
  width: 100%;
  height: 300px;
  filter: grayscale();
  object-fit: cover;
}
.card_text_holder {
  background-color: white;
  color: black;
  height: 200px;
  width: 80%;
  margin: auto;
  position: relative;
  top: -100px;
  padding: 1rem;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
form:nth-of-type(4n-3) .card_text_holder {
  background-color: var(--black);
}
form:nth-of-type(4n) .card_text_holder {
  background-color: var(--black);
}

.card_title {
  text-transform: uppercase;
  text-align: center;
  color: black;
  font-weight: 400;
  max-height: 75px;
  margin-bottom: 0.5rem;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 1; /* number of lines to show */
  line-clamp: 1;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
}
form:nth-of-type(4n-3) .card_title {
  color: white;
}
form:nth-of-type(4n) .card_title {
  color: white;
}
.card_paragraph {
  color: black;
  max-height: 75px;
  margin-bottom: 0.5rem;
  text-align: center;
  width: 100%;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3; /* number of lines to show */
  line-clamp: 3;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
}
form:nth-of-type(4n-3) .card_paragraph {
  color: white;
}
form:nth-of-type(4n) .card_paragraph {
  color: white;
}
.card_button {
  background-color: white;
  color: black;
  margin: 0 auto;
  width: fit-content;
  border: 1px solid black;
  padding: 0.25rem 0.5rem;
  display: flex;
  align-items: center;
}
.card_button_text {
  color: black;
}
form:nth-of-type(4n-3) .card_button {
  color: white;
  border: 1px solid white;
  background-color: var(--black);
}
form:nth-of-type(4n) .card_button {
  color: white;
  border: 1px solid white;
  background-color: var(--black);
}
form:nth-of-type(4n-3) .card_button .card_button_text {
  color: white;
}
form:nth-of-type(4n) .card_button .card_button_text {
  color: white;
}
.arrow_icon {
  display: inline;
  background-image: url(../images/icons/black_arrow.svg);
  background-size: 100%;
  background-position: center;
  background-repeat: no-repeat;
  object-fit: contain;
  width: 1rem;
  height: 1rem;
  rotate: 180deg;
  margin-left: 0.5rem;
}
form:nth-of-type(4n-3) .arrow_icon {
  background-image: url(../images/icons/white_arrow.svg);
  opacity: 0.85;
}
form:nth-of-type(4n) .arrow_icon {
  background-image: url(../images/icons/white_arrow.svg);
  opacity: 0.85;
}

@media screen and (max-width: 1000px) {
  .news_holder {
    column-gap: 1rem;
  }
}
@media screen and (max-width: 750px) {
  .news_holder {
    grid-template-columns: 1fr;
  }
  form:nth-of-type(2n-1) .card_text_holder {
    background-color: var(--black);
  }
  form:nth-of-type(2n) .card_text_holder {
    background-color: white;
  }
  form:nth-of-type(2n-1) .card_title {
    color: white;
  }
  form:nth-of-type(2n) .card_title {
    color: var(--black);
  }
  form:nth-of-type(2n-1) .card_paragraph {
    color: white;
  }
  form:nth-of-type(2n) .card_paragraph {
    color: var(--black);
  }
  form:nth-of-type(2n-1) .card_button {
    color: white;
    border: 1px solid white;
    background-color: var(--black);
  }
  form:nth-of-type(2n) .card_button {
    color: var(--black);
    border: 1px solid var(--black);
    background-color: white;
  }
  form:nth-of-type(2n-1) .arrow_icon {
    background-image: url(../images/icons/white_arrow.svg);
  }
  form:nth-of-type(2n) .arrow_icon {
    background-image: url(../images/icons/black_arrow.svg);
  }
}
@media screen and (max-width: 625px) {
  .card_text_holder {
    padding: 0.5rem;
  }
}
@media screen and (max-width: 500px) {
  .news_holder {
    padding: 30px 0rem;
  }
  .card_image {
    height: 200px;
  }
  .card_title {
    margin-bottom: 0.25rem;
  }
  .card_text_holder {
    height: 125px;
    width: 90%;
    top: -50px;
  }
  .card_paragraph {
    display: -webkit-box;
    -webkit-line-clamp: 2; /* number of lines to show */
    line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
  }
}
/*post*/
.post_holder {
  margin: 0px auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.post_image {
  width: 100%;
  height: 450px;
  object-fit: cover;
}
.post_background {
  width: 100%;
  background-color: white;
  padding: 25px;
  margin: 0px auto;
}
.post_title {
  font-weight: 700;
  font-size: 2.5rem;
  text-align: center;
  color: var(--black);
  margin-bottom: 1.5rem;
  text-transform: uppercase;
}
.post_date {
  color: var(--black);
  font-weight: 500;
  margin-bottom: 1rem;
  font-size: 1.125rem;
}
.post_content {
  color: var(--black);
  font-size: 1.125rem;
  white-space: pre-line;
  margin-bottom: 2rem;
  text-align: justify;
}
.post_links {
  margin-bottom: 2rem;
}
.post_link {
  margin-bottom: 0.5rem;
}

.post_album_box {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 1rem;
}
.post_album {
  width: 100%;
}
.post_photo {
  width: 100%;
  height: 500px;
  object-fit: contain;
  object-position: center;
}
.post_chevron_left_holder {
  position: absolute;
  top: 240px;
  left: 0.75rem;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 1000px;
  height: 3.5rem;
  width: 3rem;
  transform: rotate(90deg);
  display: flex;
  justify-content: center;
  align-items: center;
}
.post_chevron_left_holder:hover {
  animation: leftChevron 750ms ease-in-out infinite;
}
.post_chevron_right_holder {
  position: absolute;
  top: 240px;
  right: 0.75rem;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 1000px;
  height: 3.5rem;
  width: 3rem;
  transform: rotate(-90deg);
  display: flex;
  justify-content: center;
  align-items: center;
}
.post_chevron_right_holder:hover {
  animation: rightChevron 750ms ease-in-out infinite;
}

@keyframes rightChevron {
  from {
    transform: translate(-15px) rotate(-90deg);
    opacity: 0.5;
  }
  to {
    transform: translate(0px) rotate(-90deg);
    opacity: 1;
  }
}
@keyframes leftChevron {
  from {
    transform: translate(15px) rotate(90deg);
    opacity: 0.5;
  }
  to {
    transform: translate(0px) rotate(90deg);
    opacity: 1;
  }
}

.post_chevron_left,
.post_chevron_right {
  width: 1rem;
  height: auto;
  margin: auto;
  opacity: 0.8;
}

.post_video {
  position: relative;
  width: 100%;
  padding-bottom: 56.25%;
  height: 0;
  margin: auto;
  margin-bottom: 1rem;
}
.post_video iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
@media screen and (max-width: 750px) {
  .post_holder {
    margin: 0;
  }
  .post_image {
    height: 300px;
  }
  .post_background {
    margin: 0;
    padding: 30px 10px;
  }
  .post_title {
    font-size: 2rem;
    margin-bottom: 1rem;
  }
  .post_date {
    font-size: 1rem;
    margin-bottom: 1rem;
  }
  .post_content {
    font-size: 1rem;
    margin-bottom: 1rem;
  }
  .post_album_box {
    margin-bottom: 1rem;
  }
}

@media screen and (max-width: 500px) {
  .post_background {
    padding: 20px 10px;
  }
  .post_title {
    font-size: 1.75rem;
    margin-bottom: 0.5rem;
  }
  .post_date {
    margin-bottom: 0.5rem;
  }
  .post .post_image {
    height: 200px;
  }
  .post_album_box {
    margin-bottom: 0rem;
  }

  .post_photo {
    margin-bottom: 0.125rem;
    width: 100%;
    height: auto;
    object-fit: contain;
  }

  #post_left_chevron,
  #post_right_chevron {
    display: none;
  }
  .post_video {
    margin: 0 0 0.5rem;
  }
  .post_links {
    margin-bottom: 1rem;
  }
}

/*events*/
.events_holder {
  padding: 50px 2.5rem;
}
.event_holder {
  padding: 50px 0;
  text-align: center;
}
.event_title_holder {
  display: grid;
  grid-template-columns: 125px 1fr 2.5rem;
  column-gap: 2rem;
  width: 100%;
  margin-bottom: 2rem;
}
.event_title_date {
  text-align: left;
  font-size: 1.25rem;
  font-weight: 300;
  align-self: center;
}
.event_title {
  text-align: left;
  font-size: 1.25rem;
  font-weight: 300;
  align-self: center;
}
.event_chevron {
  width: 2.5rem;
  height: 2rem;
  object-fit: contain;
  object-position: center;
  padding: 0.5rem;
  border: 1px solid white;
  border-radius: 5px;
  align-self: center;
  transform: rotate(0deg);
  cursor: pointer;
}
.event_chevron_rotation {
  transform: rotate(180deg);
}
.event_description_holder {
  border: 1px solid white;
  border-radius: 10px;
  padding: 1rem;
  text-align: left;
  margin-bottom: 1rem;
}
.event_time_title,
.event_location_title,
.event_description_title,
.event_tickets_title {
  font-weight: 500;
  margin-bottom: 0.25rem;
  width: fit-content;
}

.event_time,
.event_location,
.event_description {
  margin-bottom: 2rem;
}

.event_link {
  font-style: italic;
  color: rgba(0, 0, 0, 0.5);
  font-weight: 500;
}

@media screen and (max-width: 1000px) {
  .events_holder {
    padding: 30px 1rem;
  }
  .event_holder {
    padding: 15px 0;
  }
  .event_title_holder {
    grid-template-columns: 1fr 2.5rem;
    grid-template-areas:
      "title title"
      "date chevron";
  }
  .event_title_date {
    grid-area: date;
  }
  .event_title {
    grid-area: title;
    text-transform: uppercase;
    margin-bottom: 0.5rem;
  }
  .event_chevron {
    grid-area: chevron;
    align-self: flex-end;
  }
}

/*about*/
.about_holder {
  padding: 50px 1rem;
}
.about_title {
  font-size: 2rem;
  font-weight: 500;
  margin-bottom: 2rem;
  text-align: center;
}
.about_inner_holder {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 2rem;
  justify-content: center;
  align-items: center;
  height: min-content;
}
.about_image_holder {
  width: 100%;
  height: 100%;
}
.about_image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: grayscale();
}
.about_paragraph {
  text-align: center;
  line-height: 1.5;
}

/*div.about_holder_background:nth-of-type(2n) .about_title {
  text-align: left;
}*/
div.about_holder_background:nth-of-type(2n) .about_paragraph {
  order: -1;
}

div.about_holder_background {
  background-color: var(--black);
}
div.about_holder_background:nth-of-type(3n + 1) {
  background-color: white;
}
div.about_holder_background:nth-of-type(3n + 2) {
  background-color: var(--red);
}
div.about_holder_background .about_title {
  color: white;
}
div.about_holder_background:nth-of-type(3n + 1) .about_title {
  color: black;
}
div.about_holder_background:nth-of-type(3n + 2) .about_title {
  color: white;
}
div.about_holder_background .about_paragraph {
  color: white;
}
div.about_holder_background:nth-of-type(3n + 1) .about_paragraph {
  color: black;
}
div.about_holder_background:nth-of-type(3n + 2) .about_paragraph {
  color: white;
}
@media screen and (max-width: 1000px) {
  .about_paragraph {
    line-height: 1.25;
  }
}
@media screen and (max-width: 750px) {
  .about_title {
    margin-bottom: 0.5rem;
  }
  .about_inner_holder {
    grid-template-columns: 1fr;
    row-gap: 1rem;
  }
  .about_image_holder {
    width: 100%;
    height: 300px;
    order: -1;
  }
  #petromilaPhoto {
    object-position: top;
  }
  #marijanaPhoto {
    object-position: center 30%;
  }
  #vandaPhoto {
    object-position: center 30%;
  }
  .about_title {
    text-align: center;
  }
  .about_paragraph {
    text-align: center;
  }
  div.about_holder_background:nth-of-type(2n) .about_title {
    text-align: center;
  }
}

@media screen and (max-width: 500px) {
  .about_title {
    margin-bottom: 1rem;
  }
  .about_inner_holder {
    row-gap: 1rem;
  }
}

/*repertoire*/
.repertoires_holder {
  padding: 50px 2.5rem;
}
.repertoire_holder {
  padding: 30px 0;
  text-align: center;
}
.repertoire_author {
  font-size: 1.25rem;
  margin-bottom: 0rem;
  font-weight: 500;
}
.repertoire_composition_title {
  font-size: 1.25rem;
  margin-bottom: 0rem;
}
.repertoire_composition_movements {
  font-size: 1.25rem;
  font-style: italic;
  white-space: pre-line;
}
/*@media screen and (max-width: 1000px) {
  .repertoires_holder {
    padding: 50px 1rem;
  }
}*/
@media screen and (max-width: 750px) {
  .repertoire_holder {
    padding: 25px 0;
  }
  .repertoire_author {
    font-size: 1.25rem;
  }
  .repertoire_composition_title {
    font-size: 1.25rem;
  }
  .repertoire_composition_movements {
    font-size: 1.25rem;
  }
}

/*media*/
.media_buttons_background {
  background-image: url(../images/pozadina_note.png);
  background-size: 50%;
}
.media_buttons_grid {
  padding: 50px 1rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 1rem;
}
.media_button {
  width: 100%;
  padding: 0.5rem 0;
  color: black;
  text-align: center;
  font-weight: 900;
  background-color: var(--red);
  cursor: pointer;
  text-transform: uppercase;
  font-size: 1rem;
  border: 3px solid black;
}
.media_button_clicked {
  background-color: rgba(0, 0, 0, 0);
}
.media_photos_background {
  background-color: var(--red);
}
.media_photos {
  padding: 30px 1rem;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 0.5rem;
  row-gap: 0.5rem;
}
.media_photo_holder {
  height: 400px;
  width: 100%;
  overflow: hidden;
}

.media_photo {
  height: 100%;
  width: 100%;
  object-fit: cover;
}
.media_photo:hover {
  transform: scale(1.1);
  transition: all 500ms ease-in-out;
  cursor: pointer;
}
.photos_modal {
  padding: 10px;
  position: absolute;
  z-index: 100;
  background-color: rgba(0, 0, 0, 0.8);
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: none;
  grid-template-columns: 3rem 1fr 3rem;
}
#photos_modal_exit {
  opacity: 0.8;
  display: block;
  position: absolute;
  top: 1rem;
  left: 0.5rem;
  flex-direction: column;
  justify-content: center;
  width: 2.25rem;
}
#modal_bar1 {
  transform: translateY(-5px);
  transform: translateY(4px) rotateZ(-45deg);
}
#modal_bar2 {
  opacity: 0;
}
#modal_bar3 {
  transform: translateY(5px);
  transform: translateY(-6px) rotate(45deg);
}
.photo_chevron {
  width: 90%;
  height: auto;
  align-self: center;
}
.photo_chevron:hover {
  opacity: 0.8;
}
.left_chevron {
  rotate: 90deg;
}
.right_chevron {
  rotate: -90deg;
}
.modal_photos {
  position: relative;
  width: 100%;
  height: 100%;
}
.modal_photo_holder .photo_author::after {
  top: 0px
}
.modal_photo {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: contain;
  display: none;
}
.media_videos {
  display: none;
}
.media_video_background {
  width: 100%;
  background-color: white;
  padding: 75px 0;
}
div.media_video_background:nth-of-type(3n) {
  background-color: var(--black);
}
div.media_video_background:nth-of-type(3n + 1) {
  background-color: var(--red);
}
div.media_video_background:nth-of-type(3n + 2) {
  background-image: url(../images/pozadina_note.png);
  background-size: cover;
}
.media_video_holder {
  padding: 0 1rem;
}
.media_video_title {
  font-size: 2.5rem;
  font-weight: 500;
  margin-bottom: 1rem;
  color: black;
}
div.media_video_background:nth-of-type(3n) .media_video_title {
  color: rgba(255, 255, 255, 0.9);
}
div.media_video_background:nth-of-type(3n + 1) .media_video_title {
  color: rgba(255, 255, 255, 0.9);
}
div.media_video_background:nth-of-type(2n) .media_video_title {
  text-align: left;
}
div.media_video_background:nth-of-type(2n + 1) .media_video_title {
  text-align: right;
}

.media_video {
  position: relative;
  width: 100%;
  padding-bottom: 56.25%;
  height: 0;
}
.media_video iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

@media screen and (max-width: 1000px) {
  .media_photos {
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (max-width: 750px) {
  .media_photos {
    grid-template-columns: 1fr;
  }
  .media_video_title {
    font-size: 2rem;
  }
}
@media screen and (max-width: 500px) {
  .media_video_background {
    padding: 50px 0;
  }
  .media_video_holder {
    padding: 0 0.5rem;
  }
  div.media_video_background:nth-of-type(2n) .media_video_title {
    text-align: right;
  }
  .media_video_title {
    font-size: 1.125rem;
  }
}

/*contact*/
.contact_form_holder {
  background-color: var(--red);
  padding: 75px 1rem;
}
.contact_form {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.contact_box {
  display: flex;
  flex-direction: column;
  margin-bottom: 2rem;
  width: 100%;
}
.contact_label {
  margin-bottom: 0.5rem;
}
.contact_input {
  border: none;
  height: 40px;
  color: black;
}
.contact_input:focus {
  color: black;
}
.contact_message {
  height: 200px;
  resize: none;
  border: none;
  color: black;
}
.contact_message:focus {
  color: black;
}
.contact_button {
  background-color: rgba(0, 0, 0, 0.25);
  font-size: 1.125rem;
  border: none;
  color: white;
  height: 40px;
  width: 250px;
  margin: 3rem auto 4rem;
}

@media screen and (max-width: 750px) {
  .contact_button {
    margin: 2rem auto 3rem;
  }
}

/*login*/

.login_holder {
  width: 100%;
  max-width: 500px;
  margin: auto;
  color: black;
  padding: 50px 10px;
  height: 100%;
}

.login_form {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.login_box {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 3rem;
}

.login_label {
  width: 100%;
  text-align: center;
  margin-bottom: 1rem;
}

.login_input {
  width: 100%;
  height: 40px;
  border: 1px solid black;
  color: black;
}

.login_button {
  border: 2px solid black;
  padding: 10px 30px;
  text-align: center;
  width: fit-content;
  color: black;
}

.login_button:hover {
  opacity: 0.9;
}

.login_error {
  color: var(--red);
  font-size: 1.125rem;
}

/*edit*/
.spinner_container {
  position: absolute;
  width: 220px;
  height: fit-content;
  margin: auto;
  left: 0;
  right: 0;
  top: 40vh;
  background-color: rgba(75, 75, 75, 0.9);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  color: white;
  border: 1px solid rgb(30, 30, 30);
  padding: 20px 30px;
}
.spinner_message {
  color: white;
  margin: 0 0 20px;
}
.spinner {
  height: 30px;
  width: 30px;
  border-radius: 30px;
  border: 5px solid rgba(255, 255, 255);
  border-left: 5px solid var(--color_3);
  animation: rotation 1s infinite;
}
@keyframes rotation {
  0% {
    rotate: 0deg;
  }
  100% {
    rotate: 360deg;
  }
}
@media screen and (max-width: 500px) {
  spinner_container {
    top: 30vh;
  }
}
.edit_container {
  width: 100%;
  max-width: 1000px;
  margin: 100px auto;
  padding: 50px 50px 75px;
  background-color: var(--red);
}
.edit_buttons,
.edit_buttons_events,
.edit_buttons_posts,
.edit_buttons_repertoire {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  width: 100%;
  margin: 1rem auto;
  column-gap: 0.5rem;
}
.edit_button {
  border: 1px solid black;
  height: 2rem;
  padding: 0.5rem 0.25rem;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 200;
  background-color: var(--red);
}
.edit_hr {
  height: 0.5px;
  background-color: black;
  border: none;
  max-width: 1000px;
  margin: 1rem auto;
}

.edit_form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.select_box {
  display: grid;
  grid-template-columns: 100px 1fr 2rem;
  column-gap: 1rem;
  padding: 0 0.5rem;
}
.select_box_repertoire {
  display: grid;
  grid-template-columns: 200px 1fr 2rem;
  column-gap: 1rem;
  padding: 0 0.5rem;
}
.select_chevron {
  width: 2rem;
  height: auto;
  transform: rotate(0deg);
  grid-area: chevron;
}
.select_chevron_rotation {
  transform: rotate(180deg);
}

.form_box {
  width: 100%;
  display: grid;
  grid-template-columns: 100px 1fr;
  column-gap: 1rem;
  margin: 1rem 0;
}
.form_label {
  text-align: right;
  height: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.form_data {
  text-align: center;
  color: white;
  font-weight: 100;
  font-family: "Geologica", sans-serif;
  white-space: pre-line;
  margin-bottom: 0.5rem;
}
.form_data_title {
  font-weight: 500;
}
.form_data_movements {
  font-style: italic;
}
.form_input {
  width: 100%;
  background-color: white;
  color: black;
  height: 40px;
  border: 1px solid var(--ternary);
}
.form_textarea {
  width: 100%;
  background-color: white;
  color: black;
  height: 200px;
  resize: none;
  border: 1px solid var(--ternary);
  white-space: pre-line;
}
.form_file_upload {
  align-self: center;
}
.form_checkbox {
  width: min-content;
  height: min-content;
  align-self: center;
}
.form_button {
  width: 200px;
  height: 40px;
  margin: 2rem;
  background-color: rgba(0, 0, 0, 0.4);
  color: white;
  border: none;
  font-weight: 400;
}
.form_small_button {
  width: 200px;
  height: 40px;
  margin: 0.5rem;
  background-color: rgba(0, 0, 0, 0.4);
  color: white;
  border: none;
  font-weight: 400;
}
.form_hr {
  height: 0.25px;
  background-color: black;
  border: none;
  max-width: 1000px;
  margin: 1rem auto;
}
@media screen and (max-width: 1000px) {
  .edit_container {
    margin: 50px auto;
  }
}
@media screen and (max-width: 750px) {
  .edit_container {
    padding: 20px 10px 50px;
  }
  .form_box {
    grid-template-columns: 1fr;
  }
  .form_label {
    justify-content: flex-start;
    margin-bottom: 0.5rem;
  }
}
.events_select_date,
.posts_select_date {
  grid-area: date;
  margin-bottom: 0.25rem;
}
.events_select_title,
.posts_select_title {
  grid-area: title;
}
.select_chevron {
  align-self: center;
}
.select_box {
  grid-template-columns: 1fr 2rem;
  grid-template-areas:
    "date chevron"
    "title chevron";
}
.repertoire_select_author {
  grid-area: author;
  margin-bottom: 0.25rem;
}
.repertoire_select_title {
  grid-area: title;
}
.select_box_repertoire {
  grid-template-columns: 1fr 2rem;
  grid-template-areas:
    "author chevron"
    "title chevron";
}
select option {
  color: black;
}

/*footer*/
.footer_sheetmusic_background {
  background-image: url(../images/pozadina_note.png);
  background-position: cover;
  background-size: 100%;
  height: 200px;
}
.upper_footer_background {
  background-color: var(--red);
  height: 100px;
}
.upper_footer_holder {
  height: 100%;
}
nav {
  height: 100%;
}
.footer_image {
  height: 400px;
  width: 100%;
  max-width: 2000px;
  margin: auto;
  background-size: cover;
  filter: grayscale();
}
.footer_menu {
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.lower_footer_background {
  background-color: var(--black);
  height: 35px;
}
.lower_footer_holder {
  padding: 0.5rem 1rem;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.lower_footer_text {
  font-size: 0.9rem;
  opacity: 0.85;
  margin: 0.25rem 2rem;
}
.icons_container_footer {
  margin: 0.25rem 2rem;
}

@media screen and (max-width: 750px) {
  .footer_image {
    height: 300px;
    width: 100%;
    max-width: 2000px;
    margin: auto;
    background-size: cover;
    filter: grayscale();
  }
  .upper_footer_background {
    display: none;
  }
  .lower_footer_background {
    background-color: var(--red);
    height: fit-content;
  }
  .lower_footer_holder {
    flex-direction: column;
    padding: 3rem 0;
  }
}
@media screen and (max-width: 500px) {
  .footer_sheetmusic_background {
    height: 75px;
  }
}

/*special classes*/
.error {
  color: rgba(255, 255, 255, 0.925);
  margin-top: 0.5rem;
  display: none;
}
.modal {
  position: absolute;
  left: 0;
  right: 0;
  top: 40vh;
  margin: auto;
  height: 100px;
  width: 250px;
  padding: 50px 20px;
  font-size: 1rem;
  font-weight: 400;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 100;
  background-color: rgba(0, 0, 0, 0.8);
  color: white;
}
#modal_button {
  background-color: rgba(255, 255, 255, 0.2);
  padding: 5px 30px;
  margin-top: 20px;
  height: min-content;
  color: white;
  cursor: pointer;
}
#modal_button:hover {
  opacity: 0.9;
}
.hidden {
  display: none;
}
.active {
  color: white;
  border: 1px solid white;
}

.clicked {
  background-color: rgba(0, 0, 0, 0.15);
  color: white;
}
.clicked2 {
  background-color: rgba(0, 0, 0, 0.35);
  color: white;
}
.hr,
.en {
  display: none;
}
